# Calls and metrics

`GET /api/v1/tel/calls`

Phone system calls: row `direction`, `status` (`done` answered · `missed` · `noanswer` outbound, no answer · `ringing` · `answered` · `lost` result unknown), `number`, `e164`, `started_at`, `answered_at`, `ended_at`, `duration` (talk, s), `wait`, `queue`, `dahili`, `user`, `customer`, `contact`, `visit_id` (logged call), `call_recording_id`, `task_id` (call-back / linking task), `callback_at` (when a missed call was returned), `provider`. `stats`: `total`, `in`, `in_ok`, `out`, `out_ok`, `missed`, `cb` (returned), `cb_med` (median callback, s), `talk`, `talk_avg`. Sales users see their own calls, calls routed to them and calls of their companies.

## Query parameters

| Field | Type | Description |
|---|---|---|
| `range` | string | Period. Values: `today`, `7`, `30`, `month` |
| `filter` | string | `nocb` = missed calls not yet returned. Values: `all`, `in`, `out`, `missed`, `nocb` |
| `scope` | string | `me` or (admins) `all` / a user id. |
| `customer_id` | integer | Only this company. |
| `page` | integer | Page. |
| `per_page` | integer | Per page (10–100). |
